scala.runtime
class BoxedLongArray

[source: `scala/runtime/BoxedLongArray.scala`]

@serializable
`final` `class` BoxedLongArray(`val` value : Array[Long])
  `extends` BoxedArray

Method Summary
`def` | apply (index : Int) : Any The element at given index
`override def` | equals (other : Any) : Boolean
`override final def` | filter (p : (Any) => Boolean) : BoxedArray Returns all the elements of this sequence that satisfy the predicate `p`. The order of the elements is preserved.
`override def` | hashCode : Int
`def` | length : Int The length of the array
`override final def` | slice (start : Int, end : Int) : BoxedArray Returns a subsequence starting from index `from` consisting of `len` elements.
`def` | subArray (start : Int, end : Int) : Array[Long]
`def` | unbox (elemClass : Class) : AnyRef
`def` | unbox (elemTag : String) : AnyRef Convert to Java array.
`def` | update (index : Int, elem : Any) : Unit Update element at given index

Methods inherited from BoxedArray
isDefinedAt, elements, copyFrom, copyTo, copyToArray, map, flatMap, ++, zip, zipWithIndex, deepToString, deepMkString, deepMkString, deepEquals, stringPrefix

Methods inherited from RandomAccessSeq
projection, +++

Methods inherited from Seq
size, isEmpty, concat, last, lastIndexOf, take, drop, takeWhile, dropWhile, reverse, contains, subseq, toArray

Methods inherited from Collection
toString, equalWith

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` length : Int

  The length of the array

Overrides
  BoxedArray.length

`` `def` apply(index : Int) : Any

  The element at given index

Overrides
  BoxedArray.apply

`` `def` update(index : Int, elem : Any) : Unit

  Update element at given index

Overrides
  BoxedArray.update

`` `def` unbox(elemTag : String) : AnyRef

  Convert to Java array.

Parameters
  `elemTag -` Either one of the tags ".N" where N is the name of a primitive type (@see ScalaRunTime), or a full class name.

Overrides
  BoxedArray.unbox

`` `def` unbox(elemClass : Class) : AnyRef

Overrides
  BoxedArray.unbox

`override` `def` equals(other : Any) : Boolean

`override` `def` hashCode : Int

`` `def` subArray(start : Int, end : Int) : Array[Long]

Overrides
  BoxedArray.subArray

`override final` `def` filter(p : (Any) => Boolean) : BoxedArray

  Returns all the elements of this sequence that satisfy the predicate `p`. The order of the elements is preserved.

Parameters
  `p -` the predicate used to filter the list.
Returns
  the elements of this list satisfying `p`.

`override final` `def` slice(start : Int, end : Int) : BoxedArray

  Returns a subsequence starting from index `from` consisting of `len` elements.